classdef CounterHandle < handle
    properties ( SetAccess = protected, GetAccess = public )
        value
    end
    methods
        function obj = CounterHandle( val )  % Constructor
            obj.value = val;
        end
        function increment( obj )            % The method increment
            obj.value = obj.value + 1;       % does not return
        end                                  % the object  
        function value = get.value( obj )
            value = obj.value;
        end
        function display( obj )
            disp( [ 'Value = ', num2str( obj.value ) ] );
        end
    end
end